Subject: Re: FR: Provide Out-Of-Tree Building; Provide Cross-Compile Parameters

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Jul 2024 12:56:41 -0700

Eric Sunshine <[email-masked]> writes:

>> I'd still suggest and prefer that git (and zlib) follows what others
>> have settled on doing to be cross-compile-friendly.
>
> I can't speak for the zlib project, but for this to happen in Git,
> someone with an interest in seeing such an outcome will need to submit
> patches.

Sure.  

Somebody unknown to the community suddenly coming here and
suggesting a feature alone would not achieve anything.  If there
were infinite engineering resources and motivated contributors, and
if sufficient number of contributors thought something is worth
doing, it would already have been done.  And "cross compilation" is
one of the things that is so obvious "isn't it nice if we had..."
items.  At least the offer has to be a bit more, like "I'll help in
this and that area (e.g., organizing the effort, keeping track of
progress, researching dependencies, ...).  Any others who want to
join forces?"

Thanks.